Ubuntu

palimpsest bad sectors false positive

Reported by Benjamin Drung on 2009-09-28
552
This bug affects 109 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Undecided
Robert
libatasmart
Confirmed
Medium
libatasmart (Fedora)
Confirmed
Unknown
libatasmart (Mandriva)
New
Undecided
Unassigned
libatasmart (Ubuntu)
Medium
Martin Pitt
Karmic
Medium
Martin Pitt
Lucid
Medium
Martin Pitt
libatasmart (zUbuntu)
New
Undecided
Unassigned

Bug Description

Binary package hint: gnome-disk-utility

palimpsest complains, that the disk has many bad sectors. palimpsest thinks, that SMART value 5 "Reallocated Sector Count" fails (screenshot attached). smartctl reports " 5 Reallocated_Sector_Ct 0x0033 097 097 010 Pre-fail Always - 117" (full log attached) which seems to be ok. This error appears on a different system, too.

SRU information:
 - Impact: Way too trigger happy about "broken disk" notifications, which both scares people and also makes them ignore situations where the disk is actually about to die
 - Fixed in lucid by reverting from our own bad sectors heuristics (using the raw numbers) to the manufactuer normalized numbers and manufacturer thresholds: http://bugs.freedesktop.org/attachment.cgi?id=34242
- No regression reports since then in lucid.

SRU TEST CASE:
- Download seb128's demo SMART data which have a few bad blocks, but not enough to be over the manufacturer threshold:

   wget -O /tmp/smart.blob http://bugs.freedesktop.org/attachment.cgi?id=34234

- Install libatasmart-bin

- Run

  skdump --load=/tmp/smart.blob --overall

With the karmic final version this says "BAD_SECTOR_MANY" which the GUI will react on with a scary notification.
The updated version should just say BAD_SECTOR.

If you leave out the --overall argument, you get a detailled list of the attributes. The broken ones will be printed in bold.

On a healthy system, "sudo ./skdump /dev/sda --overall" should still say "GOOD", and on a genuinely broken hard disk it should give the appropriate BAD_SECTOR/BAD_SECTOR_MANY answer.

ProblemType: Bug
Architecture: amd64
Date: Mon Sep 28 15:20:15 2009
DistroRelease: Ubuntu 9.10
Package: gnome-disk-utility 2.28.0-0ubuntu2
ProcEnviron:
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: gnome-disk-utility
Uname: Linux 2.6.31-11-generic x86_64

Benjamin Drung (bdrung) wrote :
Benjamin Drung (bdrung) wrote :
Matthew Murphy (chthonical) wrote :

I can confirm. Suffering from the same issue in 9.10 where Palimpsest is saying my Hitachi HTS541680J9SA00 has many bad sectors. Reallocated Sector Count. Pops it up every time I restart the computer.

J. J. Ramsey (jjramsey) wrote :

Looks like I have a false positive as well. Now Palimpsest is reporting the correct raw value for the "reallocated sector count," which in my case is 3268608. However, I have two reasons for thinking that Palimpsest is reporting the wrong conclusions from this wrong value. First, it appears that a similarly high value for the reallocated sector count is reported by smartctl for a *new* drive in the MacBook Air. The discussion on the smartmontools mailing list can be found here:

http://thread.gmane.org/gmane.linux.utilities.smartmontools/5252

or here (same discussion):

http://marc.info/?l=smartmontools-support&m=120407420622544&w=2

While my SSD is in an X41 Thinkpad rather than a MacBook Air, it is the exact same model as the one described in the mailing list messages to which I linked above, namely a Samsung SSD with the model number MCCOE64GEMPP. For the owner of the Macbook Air, the reallocated sector count is 2617344, the same order of magnitude as mine. One of the participants in the discussion speculated, "maybe the author of the SMART code in this disk was (ab)using this attribute to track the number of times that blocks have been moved about by the wear levelling algorithm."

Second, as seen in the screenshot, the "Self Assessment" of the self-test is "Passed." Apparently, whoever was the Samsung firmware programmer who wrote the self-test wasn't bothered by the reported raw value of the reallocated sector count.

I get the same results from running smartctl from SystemRescueCD 1.3.0. The reallocated sector count is 3268608, but the self-test nonetheless reports the drive as healthy.

Przemysław Kulczycki (azrael) wrote :
tags: added: disk karmic palimpsest
Tim (darkxst) wrote :

palimpsest seems to check the raw value against the threshold for reallocated sectors.

All other smart utilities seem to check the normalised value against the threshold. This seems to be more logical, however the developer of palimpsest seems to think the first behavior is correct as noted by him in this bug report
https://bugzilla.redhat.com/show_bug.cgi?id=500079

Georg (georg-lippold) wrote :

Would be a good option to let the user override certain reported values until the value goes up the next time. Then one wouldn't be bugged by Palimpsest on every boot but only if the disk degrades further.

yareckon (yareckon) wrote :

Hi guys, I have a 3 month old samsung ssd, which has 2179072 reallocated sectors (probably due to flash wear levelling on the drive as I have 0 "uncorrectable sector count" and 0 "Realocation count" ). I get yelled at every time I log into karmic that my drive is failing. The reallocated sector count has not changed in a month of heavy usage, so I don't think it's a drive in collapsing condition. I would also like an error dialog that says something like

Caution! Your drive has a high number of reallocated sectors, which may be a result of failing hardware. Currently the drive reports it is *passing* SMART checks, which are designed to detect a failing drive, so this warning may be incorrect. Certain types of storage such as solid state drives (ssds) have large numbers of reallocated sectors to extend their life. It is recommended that you back up your data in case your drive is about to fail.
What would you like to do now:
> Display the error messages and stats
> Inform me if the drive health further deteriorates

Naturally the scary warnings wouldn't be tempered if the SMART status was actually failing.

What do you say? I love Palimpest, but people will ignore the warnings if every netbook and SSD drive cries wolf.

Hallo everybody. I think this is a bug. Palimpest and GSmartControl give me report that I have bad sectors in my hard disk. Please see the attachments.

Confirm. I get a reallocated sector count of 65551 on my Hitachi HTS541680J9SA00, very similar to the value 65543 reported by Tapas Bose. Note 2**16 = 65536.

I have no clue if there are bad sectors or not; All I know is the machine is running fine, and previous versions of Ubuntu don't notify me of bad sectors, for what that is worth. See attached screen shot for hard drive model, etc.

see additional attachment

I can confirm the "false-positive" issue on my Dell XPS M1530 with Samsung HM250JI hard drive.
The Disk Utility warns me about 'bad sectors' all the time however testing it using HDD manufacturer's diagnostic tools (http://www.samsung.com/global/business/hdd/support/utilities/Support_HUTIL.html) gives no error. I did full disk surface scan.

Jose Mico (jose-mico) wrote :

I think that I'm also have a false positive with an Hitachi Travelstar disk on a HP530 notebook, fresh Ubuntu 9.10. Palimsest warns about inminent failure, even when current value of Reallocated_Sector_Ct (100) is way far form threshold (005):
  5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 327697

Jose Mico (jose-mico) wrote :

Most people with six-digit reallocated sectors seems to be using Hiatchi drives. Could be possible that raw value is not really the "bad sector" count for these drives?

neclepsio (neclepsio) wrote :

I have the same problem with a Hitachi disk, counting 458798 bad sectors. Every other parameter is ok.

greyor (greyor) wrote :

I have this problem as well, which was quite alarming just after I'd installed 9.10 on my laptop. It's a Dell Inspiron 1525n that I've had a little over a year -- and Palimpsest counts 858 bad sectors. The reallocated sectors count is 68295.

The drive is a ~120Gb Samsung HM121HI.

I highly doubt that this drive has seen that much wear in the last year, and I don't really have the money to replace it at this time, so I'm wondering what's going on.

inigmatus (inigmatus) wrote :

see http://ubuntuforums.org/showthread.php?p=8193949 for more examples of potential false positives.

peersi (ianpeers) wrote :

I have the same problem - ATA Maxtor 6Y16OPO 164 Gig drive
ID 5 - Normalised 110, Worst 100, Threshold 63, Value 1447 sectors

All other ID's no errors .... it makes bootup considerably slower than under 9.04

Eros Zanchetta (eros) wrote :

Same here on my fresh Karmic installation (x86_64), using a Seagate Barracuda ST31500341AS. I also tried the 32 bit version of Karmic and got the the same results.

I ran SeaTools for Windows' Long Generic test' to confirm that the drive was OK and it passed the test (see attached log file) so I guess it is indeed a false positive.

BRY (brypie) wrote :

I don't have enough hardware knowledge to say for sure that my "Many bad sectors" is true, but I have been using the disk for a long time now, without problem.

I saw this error message when using the Live CD also.

mercutio22 (macabro22) wrote :

Or maybe some OEMs are issuing refurbished hard drives inside their brand new PCs. Wild.

amar (amarendra) wrote :

same error though got nothing with other tools in windows like HDDLife and HDDHealth etc and I have been using it really good since Sep 2007.

Same error in a DELL XPS M1330 with an ATA SAMSUNG HM400LI hard disk drive.

bhuvi (bhuvanesh) wrote :

I too get this message in my new karmic installation.

bhuvi (bhuvanesh) wrote :
Alan Burbol (aburbol) wrote :

I have this issue as well; fresh install, 9.10 release, amd64, Dell Inspiron 1521 dual booting with Windows 7. At first, I though this message had something to do with Windows 7 (perhaps Win7 does crazy things with disk partitions?). Glad to see it's actually -not- Microsoft's fault this time.

Ramiro Castro (castro-ramiro) wrote :

Hi, I can confirm this false positive too. I have a TOSHIBA MK2035GSS. Hope the fix came soon!

Emile Ong (emilemail) wrote :

Yup, same problem here. Seagate 1500.11.

CHKDSK /R reports no problems. Nor does SeaTools.

Palimpsest reports 55 bad sectors.

kon_nos (konsnos) wrote :

Hi, I also confirm this false positive. I have a HP G7000.

s.ketrat (s-ketrat) wrote :

same on my HP 6510b with Hiatchi drives

sk

Jose Mico (jose-mico) wrote :

I really have several reallocated sectors in my disk, maybe due to a hit or something. But the point is that the disk is working fine, I've have no data loss, and the number of reallocated sectors is not increasing. The bug is just the warning about "inminent failure"... I don't think that the disk will fail in the next months (and the manufacturer neither). We'll see...

Anant (infyniti) wrote :

Same problem on Dell XPS 1330 using Samsung HM250JI. Infact upgraded on two different mahcines which are way older without any errors. Strange that most of them who reported this problem are using Samgsung HD. Is this something to do with this brand of HD ??

Anant

Daniele Napolitano (dnax88) wrote :

In my experience I have one hard disk with 7 reallocated sectors and work fine (obviously).

Another case is my friend's computer, Windows has stopped working and after a analysis with Palimpsest Disk Utility (on Ubuntu 9.10 live) I've read up to 250 reallocated damage sectors. So, no false positive for me (all hard disk are Maxtor).

A clarification: Reallocated sector means that hard disk has internally isolated the sectors, so badblocks don't report errors! This is a hardware data recovery.

P4man (duvel123) wrote :

To everyone reporting this as a bug; while its clear there IS a bug (negative relocated sector count, or ppl seeing 65500 relocated sectors), its not clear to be if those people seeing credible values (between 1-300 or so) are blaming this bug incorrectly or not. Please run another smart monitoring tools or hardware diagnosis program of your harddrive vendor to verify.

Doing read/write tests or filesystems checks does NOT disprove palimpsest's warning. Relocated sectors are invisible to the filesystem or operating system, the harddrive manages them automatically and transparently until it runs out of spare sectors, and only exposes this information through S.M.A.R.T.

If anyone can confirm a seemingly credible relocated sector count is in fact incorrect , I would love to learn it. Until then I would be very reluctant to blame this as a bug if you get a warning from palimpsest for a reasonable looking number of bad sectors.

Daniele Napolitano (dnax88) wrote :

@P4man: Finally! Thanks for clarification.

Eros Zanchetta (eros) wrote :

@p4man: thanks for the clarification. I'd love to help, but I'm not sure how. As I said above I ran SeaTools for Windows' "Long Generic Test" and it didn't report any problems (you can find the log file in my previous post) while palimpsest reports 466 bad sectors (see attached screenshot). I don't know if this is a credible number of relocated sectors.

I'm willing to run more tests, just tell me what to do.

I could try Spirite, but I'd rather not because it'll probably take forever to run the test on a 1.5 TB disk.

Eros Zanchetta (eros) wrote :

@p4man: thanks for the clarification. I'd love to help, but I'm not sure how. As I said above I ran SeaTools for Windows' "Long Generic Test" and it didn't report any problems (you can find the log file in my previous post) while palimpsest reports 466 bad sectors (see attached screenshot). I don't know if this is a credible number of relocated sectors.

I'm willing to run more tests, just tell me what to do.

I could try Spirite, but I'd rather not because it'll probably take forever to run the test on a 1.5 TB disk.

magoo (martingagnon5) wrote :

Same for me, brand new installation on a system with a specific partition for home directory. Even i have amd64 i prefered to use the 386 version of 9.10. Never occured before and began right after the installation.

vwingate (launchpad-vwingate) wrote :

@p4man: I have a 120GB Maxtor (6Y120L0). Reallocated Sector Count Threshold = 63, Value = 191 sectors, so palimpsest gives me the "Disk has many bad sectors warning" each time I log in.

So I ran the manufacturer's diagnostic tool "SeaTools for Windows" in Long DST mode which reads each sector, and no problems were found.

The SeaTools SMART check also passes.

So even when a reasonable number of reallocated sectors are found by palimpsest (191 sectors) it still seems to be giving false positives.

vwingate (launchpad-vwingate) wrote :

Here is a screenshot of the SeaTools output

Anant (infyniti) wrote :
Download full text (4.8 KiB)

Attached is the output of smartctl and screenshot. Dell XPS 1330 using Samsung HM250JI.

anant@anant-laptop:~$ sudo smartctl -a /dev/sda6
[sudo] password for anant:
smartctl version 5.38 [i686-pc-linux-gnu] Copyright (C) 2002-8 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Device Model: SAMSUNG HM250JI
Serial Number: S133JD0Q160378
Firmware Version: HS100-11
User Capacity: 250,059,350,016 bytes
Device is: In smartctl database [for details use: -P show]
ATA Version is: 7
ATA Standard is: ATA/ATAPI-7 T13 1532D revision 0
Local Time is: Tue Nov 3 06:37:03 2009 CST

==> WARNING: May need -F samsung or -F samsung2 enabled; see manual for details.

SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status: (0x00) Offline data collection activity
     was never started.
     Auto Offline Data Collection: Disabled.
Self-test execution status: ( 32) The self-test routine was interrupted
     by the host with a hard or soft reset.
Total time to complete Offline
data collection: ( 103) seconds.
Offline data collection
capabilities: (0x5b) SMART execute Offline immediate.
     Auto Offline data collection on/off support.
     Suspend Offline collection upon new
     command.
     Offline surface scan supported.
     Self-test supported.
     No Conveyance Self-test supported.
     Selective Self-test supported.
SMART capabilities: (0x0003) Saves SMART data before entering
     power-saving mode.
     Supports SMART auto save timer.
Error logging capability: (0x01) Error logging supported.
     General Purpose Logging supported.
Short self-test routine
recommended polling time: ( 2) minutes.
Extended self-test routine
recommended polling time: ( 103) minutes.
SCT capabilities: (0x003f) SCT Status supported.
     SCT Feature Control supported.
     SCT Data Table supported.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate 0x000f 100 100 051 Pre-fail Always - 1
  3 Spin_Up_Time 0x0007 252 252 025 Pre-fail Always - 2625
  4 Start_Stop_Count 0x0032 097 097 000 Old_age Always - 37233
  5 Reallocated_Sector_Ct 0x0033 252 252 010 Pre-fail Always - 0
  9 Power_On_Hours 0x0032 098 098 000 Old_age Always - 1131
 12 Power_Cycle_Count 0x0032 099 099 000 Old_age Always - 1036
191 G-Sense_Error_Rate 0x0032 041 041 000 Old_age Always - 596620
192 Power-Off_Retract_Count 0x0032 100 100 000 Old_age Always - 12
194 Temperature_Celsius 0x0022 154 085 000 Old_age Always - 28 (Lifetime Min/Max 7/51)
196 Reallocated_Event_Count 0x0032 100 100 000 ...

Read more...

Sharpie1 (moles-rory) wrote :

Similar false positive on Dell Inspiron - Dual Boot - Disk Utility reported bad sectors, neither chkdsk nor the Fujitsu disk utility found anything.
Disk Utility warns 1392181251 sectors "waiting to be remapped" under the "Current Pending Sector Count" and advises backing up files and replacing disk...

Sharpie1

Daniele Napolitano (dnax88) wrote :

@Eros and @vwingate: I think that your response isn't a false positive, your reallocated sectors value is reasonably low. The long test check all sectors exept reallocated and include the spare area.

SeaTools read the same datas of Palimpsest (S.M.A.R.T. params) and do the *same* test, in fact the tests are done internally by the hard drive and not by software. If you run a long test form Palimpsest you will have the same response.

The problems are the strange data, as reported Sharpie1.

Eros Zanchetta (eros) wrote :

Thanks Daniele, I think you're right: in the last 12 hours I performed long tests with smartctl on Linux and HDDScan on Windows and got the exact same results. It's a real bummer though, I bought the drive 10 months ago...

Sorry for wasting your time guys.

Lee (mentalistbrummie) wrote :

i too am having this problem on my acer travelmate 2303wlmi Intel celeron 40gb Toshiba drive.

every time i boot up palimpsest informs me that i have bad sectors on disk, the disk is failing and needs to be replaced but it still passes!

never had this under 9.04 but got it on my first boot of 9.10!

apparently have 191 bad sectors

ID5-reallocated sector count normalised 100 worst 100 threshold 50 value 117
ID197-current pending sector count normalised 100 worst 100 threshold 0 value 74

i have done an extended test and the results return the same. i thought it may have something to with the fact that i have had the laptop since 2004 but i don't think that is the case. other diskcheck utils don't report anything

vwingate (launchpad-vwingate) wrote :

@Daniele Napolitano: I don't understand, you say that SeaTools reads the same data as Palimpsest (S.M.A.R.T. params) and does the same tests. But if that's the case why doesn't SeaTools tell me my drive is failing too?

The drive manufacturer's software isn't showing any problems on my drive, but palimpsest is. Are you saying the bug is in SeaTools?

What would be another good tool to run to get a third opinion?

Mark Fiedler (mark-fiedler) wrote :

Getting same error on dell mini 9 with 4G stec pata vS020.1.0 SSD. This is my second disk as Dell replaced first under warrenty due to false-error message. This is a fresh install using UNR Karmic ext4. Error says "SMART status: DISK IS BEING USED OUTSIDE DESIGN PARAMETERS". The error occurs right after boot.

Jose Mico (jose-mico) wrote :

I've collected some reallocated-sector-count raw values of Hitachi drives, from people reporting bugs:

  0x01000F000000 65551
  0x010007000000 65543
  0x07002E000000 458798
  0x050011000000 327697
  0xB4001D000000 1900724

Note that the second byte is always zero. I think that only HItachi knows the meaning of these raw values, and which would be a safe threshold...

Justin Dugger (jldugger) wrote :

A coworker came to me reporting a similar problem. They have an older computer with a newish Seagate Barracuda 160GB. Seagate disk tests I can find suggest the drive is okay, but the smartctl reports show PRE-FAIL and 61 reallocated sectors.

Justin Dugger (jldugger) wrote :
Iago Laz (iarrovawo) wrote :

Hello everybody!

I think i have the same bug. Just attach my Palimpsest screenshot.

Sean (goofygrin) wrote :

I have the same issue on a Dell Mini 10v.

Samsung HM160HI (160gig 5400rpm SATA 2.5" drive)
250 bad sectors in palimpsest

smartctl reports 0 issues

running a full test in HUTIL 2.1 (Samsung's low level tester) results in "No errors"

OSX was running on it with no complaints for the last couple days.

Anything else you need (other than the drive lol) and I'll provide it.

AngelicFire (cmartindale01) wrote :

Hi lago Laz and everyone....

I am getting the same error as well. I am getting the errors on a fairly new Seagate Barracuda 500gb. Was fine with 9.04 and then I upgraded through the terminal and now I get two errors...

1. Preallocated Sector Count Warning.. Count of remapped sectors when the hard drive finds a read/write/verification error, it makes the sector as "reallocated" and transfers data to a special reserved area (spare area).. Value 73, Normalized 100, Worst 100, Threshold 36, Value 24 sectors.

2. Current Pending Sector Count.. Number of sectors waiting to be remapped. If the sector waiting to be remapped is subsequently written or read successfully, this value is decreased the sector is not remapped, read errors on the sector will not remap the sector, it will only be remapped on a failed write attempt.. Normalized 100, Worst 100, Threshold 0, Value 72 sectors.

Type failure is a sign of old age. Updates every time data is collected (online) Raw 0x4800000000000

When I used a couple other tests all the tests said there was nothing wrong with the hard drive. I used Hard Drive Inspector in windows as well and all was good. I am going to save my money and not purchase a new Hard Drive at this time. I have backed up the important files to DVD which if you have important files they should backed up anyways, but I have been told that it is a bug specific to Karmic Koala.

P4man (duvel123) wrote :

I think a lot of you are still dismissing valid warnings by palimpsest, blaming this as a bug while its not.

Those people running seatools, from what I can tell from the user manual seatools only gives a PASS or FAIL. No PRE FAIL. I also cant find it if generates a detailed report with actual numbers (does it?) and I cant say with certainty but it looks like it will PASS any drive even with >0 or >100 relocated bad sectors and will FAIL only if the drive ran out of spare sectors to relocate to. Maybe someone can confirm or contradict this. But if this is true and If you have 50 or 100 relocated sectors, I think its good that palimpsest warns you of impeding drive failure, even if seatools passes your drive.

Now if speedfan or any other smart monitoring tool that gives a detailed reading contradicts palimpsest reported relocated sector *count* (and not just its interpretation of those values), then we might be looking at a bug, otherwise its just a different interpretation of valid results.

To be clear, palimpsest reporting negative or >65000 relocated sectors, that IS a bug. All other warnings, I still doubt it.

Daniele Napolitano (dnax88) wrote :

@vwingate: Tha Palimpsest warning is supposed. There is a objective SMART param: Overall Health. This is a param of SMART data that say when hard drive in in pre-fail state (for example my BIOS stop the boot if an hd is in pre-fail state).

All disk suites read that parameter to say that the hard disk should be replaced, Palimpsest is assumed that many sectors reallocated indicate a dangerous situation even though the disc itself does not signal its unreliability.

Changed in gnome-disk-utility (Ubuntu):
assignee: nobody → Sergey Sventitski (sergey-sventitski)
Changed in gnome-disk-utility (Ubuntu):
assignee: Sergey Sventitski (sergey-sventitski) → nobody
Kees Cook (kees) on 2009-11-09
Changed in gnome-disk-utility (Ubuntu Karmic):
status: New → Confirmed
importance: Undecided → Medium
Changed in gnome-disk-utility (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Confirmed
Changed in gnome-disk-utility (Ubuntu Lucid):
assignee: nobody → Canonical Ubuntu QA Team (canonical-qa)
GauloisID (babindavid) wrote :

Same warnings fro me, palimpset report me 570 reallocated sectors on samsung HM121HI (Dell XPS M1330)

Steve Beattie (sbeattie) on 2009-11-10
Changed in gnome-disk-utility (Ubuntu Lucid):
assignee: Canonical Ubuntu QA Team (canonical-qa) → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) on 2009-11-10
affects: gnome-disk-utility (Ubuntu Karmic) → libatasmart (Ubuntu Karmic)
Martin Pitt (pitti) on 2009-11-10
Changed in libatasmart (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → Martin Pitt (pitti)
Changed in libatasmart (Ubuntu Karmic):
status: Confirmed → Triaged
Changed in libatasmart (Ubuntu Lucid):
status: Confirmed → Triaged
Changed in libatasmart (Fedora):
status: Unknown → Confirmed
Answ (majdan-andras) wrote :

I have also this problem.
Palimpsest gave me the 65539 magic number for reallocated sector count.

smartctl is more funny:
8585639690243 reallocated sector count

So I have more bad sectors than my hard drive's capacity..

What is the truth? What to do now?
Other values are normal according to GSmartControl.

Titan T. Fox (titanfox-home) wrote :

Hello,

I update my Ubuntu daily (Karmic Koala 9.10, AMD64 / EXT-4 Filesystem). A couple of days ago I noticed that Palimpsest changed "Health Status" from "OK" to "Unknown". S.M.A.R.T. Status was OK, but also changed to "unknown" as did "Overall Assessment".

I ran a extended self-test but nothing changes though the harddisk is definately okay. Also did a complete removal of gnome-disk-utility, rebooted and reinstalled it without succes. I booted with Ultimate Boot-CD and did complete harddisk-diagnostic (including a mechanical check, electronics test and a full-sector check) with software provided by the manufacturer of my harddrive. Everything is OK, including S.M.A.R.T., so it must be a software bug of some kind.

My harddrive is a Samsung HM160HC, IDE, 5400 RPM, 2,5" (notebook) and is about 5 months old.

Shawe Ewahs (shawe-ewahs) wrote :

I also have the same problem, what I can add for this report?

lavinog (lavinog) wrote :

From what I have learned about SMART over the past 2 years is that SMART doesn't fail until the Normalized value falls below the threshold.
In my case my reallocated sector count is:
Normalized: 179
Worst: 179
Threshold: 140
Value: 161

palimpsest is giving me a warning that my disk has many bad sectors, and reporting that there are 161 bad sectors.
The question is what is a bad sector? The smart label is reallocated sector count...not bad sector count.
It is common for a hard drive to reallocate sectors that have read errors...this happens transparently by the firmware. Drive manufacturers design the drives with reserve sectors for this behavior. Only when there are no more reserve sectors do bad sectors start appearing.

Furthermore, a hard drive manufacturer is not going to exchange my drive just because Ubuntu is saying that is is failing.

lavinog (lavinog) wrote :

Looking at atasmart.c in libatasmart-0.17:
is this the section that causes the warning:
starting at line 1269
--------
 if ((!strcmp(a->name, "reallocated-sector-count") ||
                     !strcmp(a->name, "current-pending-sector")) &&
                    a->pretty_value > 0)
                        a->warn = TRUE;
-------
What is the logic behind this?
Wouldn't the OR part always be true?
it is kind of like using (( x != 1 ) || ( x != 2 ))
this would be true with x equaling any number.

lavinog (lavinog) wrote :

disregard my above comment: strcmp returns 0 for match.

KatThe7th (katthe7th) wrote :

I am SO glad I found this page. I just updated my husband's laptop (I am more technically oriented than he is, or just have more patience) which was refurbished when we got it, and had literally nothing on it. It has worked very well with NO problems since we got it. Suddenly, I upgrade Linux and there's this big red scary "Your HDD has 720965 bad sectors and you have to replace it NOW" warning. Oddly every other test result on the SMART Data utility has a result of "Good."

Of course I freaked... and then googled it. I feel I can safely disregard this, since there has never been any indication that the computer is irretrievably riddled with bad sectors.

Answ (majdan-andras) wrote :

I have booted Windows 7 on my laptop and ran HD Sentinel Free (www.hdsentinel.com).
It displayed that I have 3 bad sectors which are reallocated.

My reallocated sector count was:
0x07CF00010003

GSmartControl gave me: 8585639690243
Palimpsest gave me: 65539

So warning is real in my case but number is incorrect.

In case of Jose Mico (wrote on 2009-11-05: #50)
  0x01000F000000 65551 Probably 15 (F) or 0 RSC
  0x010007000000 65543 Probably 7 (7) or 0 RSC
  0x07002E000000 458798 Probably 46 (2E) or 0 RSC
  0x050011000000 327697 Probably 17 (11) or 0 RSC
  0xB4001D000000 1900724 Probably 29 (1D) or 0 RSC

I think compare these values to threshold:
if value > threshold and smart reports ok then just ignore warning
if value < threshold and smart reports ok then it is unkown (maybe correct or not)
if smart reports fail then backup all your data

clopezsandez (clopezsandez) wrote :

I'm not sure of this to be a bug. I installed in my home computer with three HD with no problem. At work I installed again and Ubuntu gave and error in a HD I use for data collection. I know that this HD had bad sectors (an error that have been shown years ago), and I changed it for a clone (Western Digital, 320GB bought at the same time, same model, consecutive identification number) and no error was found. I bought a new computer with a new Western Digital 500GB Caviar Green (I opened the box) and it was impossible to install Ubuntu because of the bad sectors found (impossible to boot). I changed the HD for a clone (same model etc...) and no error was found and Ubuntu was installed in minutes. Two identical couples of HD in the same computers, with no other variation are treated in different way for this bug. I was thinking in this situation for a week and really I do not know what to do. In fact I changed these two HD, but I am not sure if it is a bug or not

clopezsandez (clopezsandez) wrote :

And if this bug finds aleatory errors, in the new computer I installed three times (first, with one CD; second, another CD from the same ISO; third, another CD from other ISO) with the same result. Really I did not record the logs, because at that time I was not thinking in a bug in Palimpsest, but the result was, at every time, no intention for Ubuntu to restart after install, a warning of the bad sectors and when I restart manually no booting.

Jags_FL (jags-fl) wrote :

I get the same error, Disk Has Many Bad Sectors, in Palimpsest Disk Utility while trying to install Ubuntu Karmic 9.10 from 32-bit Live CD too. Hard drive is 7 months old 320GB Samsung HM320JI.

After getting this warning in Karmic I ran the Samsung HDD Diagnostic Utility (especially 4+ hr read surface scan) and drive passed all the tests. ( http://www.samsung.com/global/business/hdd/productmodel.do?group=&type=62&subtype=67&model_cd=324&dType=G&mType=SW&tab=down&ppmi=1159 )

Now even though drive passed all Samsung tests, Palimpsest still says 3725 sectors are bad under "Current Pending Sector Count" in more info/SMART data window. Is this bug related to Samsung drive or something? As the number of Samsung drives mentioned in this thread is way higher than any other brand.

I don't know if there's pattern or something but before trying to install Karmic I ran DBAN, installed Windows 7 and now I'm getting bad sectors warning everytime when Windows 7 boots up too.

P4man (duvel123) wrote :

Jags_FL,

I think the only sensible conclusion is that your drive _is_ failing.
I guess the 4hr read test didnt produce errors because the drive can still read but has trouble writing. Either that or the samsung utility is useless. But its more than a stretch to assume the same bug affecting palimpsest would somehow carry over to windows 7. Does the samsung program read SMART values and does it give a report on that? Or try any windows SMART utility, if it gives the same result, its clearly not a palimpsest bug, its either (and most likely) a dying drive or a problem with samsung 's smart.

Jags_FL (jags-fl) wrote :

P4man

Once I let CHKDSK run at the Windows 7 startup, it doesn't display the bad sectors message.

And as you suggested I ran (1) HD Tune (2) HDD Health and (3) Sppedfan (all Windows based SMART utilities), drive passed all the tests.

But if I boot into Karmic, it still displays 'Disk Has Many Bad Sectors' error.

Jags_FL (jags-fl) wrote :
Jags_FL (jags-fl) wrote :
Jags_FL (jags-fl) wrote :
Martin Webster (martinwebster) wrote :

Similar behaviour on HP Compaq nx6125 (Seagate ST9808211A) running 9.10 i386 and x86-64. Checked disk in Windows XP using 3rd party tool and no problems reported. No issue with 9.04 x86-64.

Disk has many bad sectors

Warning
Normalised: 95
Worst: 95
Threshold: 36
Vlaue 215 sectors

giosoftware (giosoftware) wrote :

I have the same problem with palimpest in karnik 64 bits with a hard disk Hitachi HTS543232L9A300.
Palimpest says that the hd have 65548 bas sectors but I have made a smartctl long test without fails.
I attacked the smartctl log tests

giltwist (giltwist) wrote :

I've got the problem too, but I'm getting -1 bad sectors?

I have followed this issue close since I also experiences problems with the reallocated sector count. My count has been growing ever since I installed Ubuntu on my machine and the current count is 3345 reallocated sectors.

Today I rebooted my machine and the computer BIOS reported that a reported number from the hard disk was high. It was not more specific but it is evidence enough for me that I should trust the number reported by palimpsest. The BIOS did not report any problems before so I guess it reached some threshold.

We were five people installing Ubuntu on identical machines with identical disks bought at the same time a couple of months ago, two people are having errors reported by palimpsest.

I will replace my disk ASAP.

dawnview (msayer) wrote :

I have the 'false positive' reporting 818 bad sectors with a threshold of 63 on a Maxtor Diamond drive, SeaTools shows SMART as NOT triggered and does not find any problems. Please let me know if I can help!

seth1123 (seth-e-watts) wrote :

I wanted to add my report of the "Many bad sectors" notification in Ubuntu 9.10. I hope that this notification is indeed a false positive since this computer is less than a month old and has less than a day and a half of operation, and I can't believe I would have drive errors so soon. Palimpsest reports 54 reallocated sectors on my Hitachi MH160HI drive.

Screenshot is attached.

PS - For the next (Lucid) release, even if the false positive issue cannot be resolved, somewhat less alarmist language in the notification window might be advisable, to correct the "boy who cried wolf" problem mentioned above. For example "Ubuntu has detected a potential problem with your hard disk. Click the icon to learn more." while still informative, is less alarming than "One or more disks are failing."

cr125f150ba (cr125f150ba) wrote :

I just want to say that I always transfered files to my usb drive and then formated the usb drive using the patition software called Gnome, and i did this a lot(I think that's what it is called) but im new to this linux so give me a break here. Anyways I used the partition editor that Ubuntu 8.04 has (after you download it from synaptick manager). I used it and formated my usb drive a lot. Well right before I installed Ubuntu 9.10 I transfered a bunch of files from my hard drive to the usb. And I think I forgot to unmount the USB drive before I Installed Ubuntu 9.10 from scratch, but I'm not sure. (I burned ubuntu 9.10.iso to a cd as an image file) so I know i installed the os right. After I installed Ubuntu 9.10 and booted the os for the first time I got the same error saying i have bad sectors on my hard drive. So I am almost convinced that this is a bug. Just letting everyone out there know. I have a Windows XP Cd that I might install just to see if my hard drive is bad or not but i am sick of getting viruses on windows since i download so many files. Please help

Any extra posts will help.
Thanks

cr125f150ba (cr125f150ba) wrote :

I'm thinking this is a bug too. I ran a memory test all was fine. Then just to be sure i installed windows xp on my laptop. windows said my hard drive was just fine. This must be a bug.

seth1123 (seth-e-watts) wrote :

I would like to amend my comment to add that I have now run badblocks to scan each sector in each partition of my hard drive. badblocks does not report a single bad sector. Additionally, since my machine is a dual boot, I scanned my drive with Windows XP Pro SP3 chkdsk, specifically set to look for bad sectors, and none were reported.

This leads me to conclude, as have others on this page and on other Ubuntu forums online, that this is a bug with Palimpsest.

I will also note that while I have had these problems with Ubuntu 9.10 (Karmic) on my Dell Mini 10v with the Hitachi MH160HI hard drive (reported above), I have not had any issues of this kind with Karmic on my three-year-old Dell Inspiron 1420 with a Toshiba MK1637GSK hard drive - it reports zero bad sectors.

seth1123 (seth-e-watts) wrote :

Additionally, after the badblocks scan, Palimpsest now reports 178 bad sectors vice the 54 listed in my previous post.

SabreWolfy (sabrewolfy) wrote :

Upgraded Jaunty to Karmic with Alternate CD and Palimpsest reported the "hard disk has many bad sectors" message: normalized and worst = 94; threshold = 36 and relocated = 136.

Booted off a SeaTools CD and ran all three tests (short, long and DST) on the drive; all tests passed with no errors.

  5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 65552

masken (kristian-maki) wrote :

Palimpsest also says that my new hd got 8 bad sectors :/

Jean-Louis (jean-louis) wrote :

Hi, sorry for my bad english.

I would reassure some persons... the only catastrophic event is when palimpsest say BAD STATUS.

BAD STATUS is the only secure flag, because it is the response from SMART RETURN STATUS command and is the only official method for manifacturer to advise: imminent "disaster".

Remaining flags is set by libatasmart comparing normalized/worst value with threshold value.

Normalized, worst, current and threshold values is vendor dependent and the D1h command (read threshold) is obsolete... so this values isn't standard and some manufacturer may change their meaning.

libatasmart can only predict problems with heuristics and this isn't easy.

BAD_SECTOR_MANY is due to unlucky heuristic: is used "sector_threshold = u64log2(d->size/512);" this means that for an HDD of 1TB = 2^40Byte -> sector_threshold = 31sectors and obviously is too few

The red "ID, Attribute, Assessment and Value" in Palinsest is due to another problem: in function verify_sectors, is raised a->warn also for only 1 reallocated sector... this is a good thing, but the alarm is excessive.

I think that is a good idea to have more granular visual alarm. for example:

RED color -> assessment: FAILED (comparing the threshold, failed now)
ORANGE color -> assessment: WARNING (comparing the threshold, failed in past)
YELLOW color -> assessment: CAUTION (without comparing the threshold)
GREEN color -> assessment: GOOD

I would add a proposed patch for little fix libatasmart, obviously I don't have now a good heuristics for bad sectors ;)

Jean-Louis (jean-louis) wrote :

New version of patch with correct patch tagging (I hope).

Changed in libatasmart (Ubuntu Lucid):
assignee: Martin Pitt (pitti) → nobody

Architecture: i386
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu-Netbook-Remix 9.10 "Karmic Koala" - Release i386 (20091028.4)
NonfreeKernelModules: wl
Package: libatasmart (not installed)
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
Tags: ubuntu-unr
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse lpadmin netdev plugdev sambashare sudo tape video

tags: added: apport-collected
Vitaliy Kulikov (slonua) wrote :

confirm issue: ATA SAMSUNG HM160HI

patrick gleason (patg) wrote :

+1 confirm issue: ATA SAMSUNG HM160HI in Dell Mini 10v Ubuntu 9.10 NBR

Martin Pitt (pitti) wrote :

Jean-Louis, thank you for working on this patch! Would you mind reporting it upstream at https://bugs.freedesktop.org/enter_bug.cgi?product=libatasmart so that it can be intregrated upstream? It's pretty intrusive and also potentially changes the behaviour of libatasmart clients (such as devicekit-disks and gvfs), so we shouldn't carry this in Ubuntu only.

Ace42 (ace42) wrote :

Getting a similar problem myself on HP Compaq nc6120; ATA Fujitsu MHT2080AH PL 80gb drive; reporting 65537 bad sectors; computer *seems* to be working fine; screen attached.

Ace42 (ace42) wrote :

Getting a similar problem myself on HP Compaq nc6120; ATA Fujitsu MHT2080AH PL 80gb drive; reporting 65537 bad sectors; computer *seems* to be working fine; screen attached.

A comment in the code say:

/* We use log2(n_sectors) as a threshold here. We had to pick
 * something, and this makes a bit of sense, or doesn't it? */

this means:

128GB = 2^37 Bytes -> log2(2^28) = 28 sectors
1TB = 2^40 Bytes -> log2(2^31) = 31 sectors
8TB = 2^43 Bytes -> log2(2^34) = 34 sectors

I think that this is a unlucky heuristic.

The meaning of raw value is vendor specific.
Could have sense if BAD_SECTOR_MANY is calculated like:

(worst value - threshold value) <= 5 ?

obviously this is only an example

The entire SMART attribute business is highly vendor dependant since there is no officially accepted spec about SMART attribute decoding. (It never became an official standard, all it ever was was a draft that was later on withdrawn) Fortunately on almost all drives the raw data of quite a few fields can be decoded the same way. In libatasmart we try to include the decoding of fields where it makes sense and is commonly accepted.

OTOH the non-raw fields (i.e. "current" and "worst") encode the information about the raw number of sectors (for sector related attributes) in a way that we cannot determine the actual number of sectors anymore.

The reason for this extra threshold we apply here is that we wanted vendor-independent health checking. i.e. as long as we can trust the number of raw bad sectors the drive reports we can compare that with a threshold that is not fiddled with by the vendor to make his drives look better.

The reason I picked log2() here is simply that we do want to allow more bad sectors on bigger drives than on small ones. But a linearly related threshold seemed to increase too quickly, so the next choice was logarithmic.

Do you have any empiric example where the current thresholds do not work as they should?

GreatRed (redtalk.be) wrote :

I have the same problem on Dell mini 10 (SATA SAMSUNG HM160HI)

Download full text (4.8 KiB)

I'm getting a similar warning on my Dell Vostro 1310 with a Samsung Drive.

Palimpsest reports something about drive failing and drive has many corrupt sectors. What it doesn't like is the number of the current pending sector. smartctl does not indicate any problem:
ojo@hermes:~$ sudo smartctl -a /dev/sda
smartctl version 5.38 [x86_64-unknown-linux-gnu] Copyright (C) 2002-8 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Device Model: SAMSUNG HM160HI
Serial Number: S14QJF0Q613911
Firmware Version: HH100-11
User Capacity: 160.041.885.696 bytes
Device is: In smartctl database [for details use: -P show]
ATA Version is: 7
ATA Standard is: ATA/ATAPI-7 T13 1532D revision 0
Local Time is: Sun Dec 27 01:11:45 2009 CET

==> WARNING: May need -F samsung or -F samsung2 enabled; see manual for details.

SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status: (0x80) Offline data collection activity
     was never started.
     Auto Offline Data Collection: Enabled.
Self-test execution status: ( 32) The self-test routine was interrupted
     by the host with a hard or soft reset.
Total time to complete Offline
data collection: ( 61) seconds.
Offline data collection
capabilities: (0x5b) SMART execute Offline immediate.
     Auto Offline data collection on/off support.
     Suspend Offline collection upon new
     command.
     Offline surface scan supported.
     Self-test supported.
     No Conveyance Self-test supported.
     Selective Self-test supported.
SMART capabilities: (0x0003) Saves SMART data before entering
     power-saving mode.
     Supports SMART auto save timer.
Error logging capability: (0x01) Error logging supported.
     General Purpose Logging supported.
Short self-test routine
recommended polling time: ( 2) minutes.
Extended self-test routine
recommended polling time: ( 61) minutes.
SCT capabilities: (0x003f) SCT Status supported.
     SCT Feature Control supported.
     SCT Data Table supported.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate 0x000f 100 100 051 Pre-fail Always - 1
  3 Spin_Up_Time 0x0007 252 252 025 Pre-fail Always - 2062
  4 Start_Stop_Count 0x0032 082 082 000 Old_age Always - 184167
  5 Reallocated_Sector_Ct 0x0033 252 252 010 Pre-fail Always - 0
  9 Power_On_Hours 0x0032 096 096 000 Old_age Always - 2662
 12 Power_Cycle_Count 0x0032 099 099 000 Old_age Always - 1179
191 G-Sense_Error_Rate 0x0032 100 100 000 Old_age Always - 646
192 Power-Off_Retract_Count 0x0032 100 100 000 Old_age Always - 41
194 Temperature_Celsius ...

Read more...

I have the same problem on Hp6130, Standard disk S9808210A. tk.

Please check the associated skdump save file. This is an old 20GB laptop drive. In the latest Ubuntu 9.10 they ship with 0.16 of libatasmart. I think this drive is incorrectly flagged as failing, because the lib relies on the raw value being a single raw48 value. This then looks like very many (262166) bad blocks.

Using "smartctl -a /dev/sda" I get the following extracts:

SMART overall-health self-assessment test result: PASSED
  5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 262166
196 Reallocated_Event_Count 0x0032 100 100 000 Old_age Always - 4

If I use the -v 5,raw8 option
  5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 0 0 0 4 0 22

If I use the -v 5,raw16 option
  5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 0 4 22

The attribute is being read as raw48, which in this case looks to be completely wrong. Using the different raw# value seems to tie in with attribute 196.

It could be argued that if you cannot rely on the format of the raw value, you should not base warnings off it, and only use the normalized, worst and threshold values. I'm technical, and I damn near junked a relatives old but still serviceable laptop because of this.

Created an attachment (id=32330)
skdump of harddrive

Anthony Hook (anthonyhook) wrote :

I'm also going to mark this as affecting myself, the log is included for a:

SAMSUNG PZA064 SSD

(In reply to comment #1)
> The reason I picked log2() here is simply that we do want to allow more bad
> sectors on bigger drives than on small ones. But a linearly related threshold
> seemed to increase too quickly, so the next choice was logarithmic.
>
> Do you have any empiric example where the current thresholds do not work as
> they should?
>

For convenience I use kibibyte, mebibyte, gibibyte ...

128 GiB = 2^37 -> log2(2^37/512) = log2(2^37/2^9) = 28 sectors

For an HDD of 128 GiB (2^37 Bytes) the calculated threshold value is 28 sectors (14336 Bytes = 14 KiB), isn't it too low?

For an HDD of 1 TiB (2^40 Bytes) the calculated threshold value is 31 sectors (15872 Bytes = 15.5 KiB) ...

For an hypothetical HDD of 1 PiB (2^50 Bytes, 1024 tebibyte) the calculated threshold is only 41 sectors (20992 Bytes = 20.5 KiB) ...

If we do want to allow more bad sectors on bigger drives than on small ones, IMHO this isn't a good heuristic.

Difference between HDD of 128 GiB and HDD of 8 TiB is only 6 sectors (3 KiB)

I forgotten to say that this bug report and the enhancement requested in Bug #25773 is due to Launchpad Bug 438136 <https://bugs.launchpad.net/ubuntu/+source/libatasmart/+bug/438136?comments=all>

On launchpad there are also some screenshots of palimpsest that show the failing hard disk with relatively few bad sectors or with raw value with probably different format (there are some 65537 65539 65551 65643 and similar number of bad sectors)

Some example:

117 bad sectors (58.5 KiB) on 1000GB HDD
<http://launchpadlibrarian.net/32604239/palimpsest-screenshot.png>

66 bad sectors (33 KiB) on 200GB HDD
<http://launchpadlibrarian.net/34794631/Screenshot-SMART%20Data.png>

466 bad sectors (233 KiB) on 1500GB HDD
<http://launchpadlibrarian.net/34991157/Screenshot.png>

65 bad sectors (32.5 KiB) on 120GB HDD (all current pending sectors"
<http://launchpadlibrarian.net/35201129/Pantallazo-Datos%20SMART.png>

54 bad sectors (27 KiB) on 169GB HDD
<http://launchpadlibrarian.net/36115988/Screenshot.png>

Kar (kar-rai) wrote :

My disk Just started giving a warning too ( Laptop HP dm3 AMD)
The magic number is "65543 bad sectors"
I was about to garbage the disk and thank you for the info here.

For all those with very large counts of bad sectors (i.e. >1000) take a look at my comment here:
http://bugs.freedesktop.org/show_bug.cgi?id=25772#c2

Basically it looks like the manufacturers are using the raw value in a different way. i.e. the 48 bit value is likely split into 3 x 16bit values that are least significant byte first. (It could be 6 x 8bit values, but I suspect not, as 256 would probably be too low - anyone know how many are normally made available for reallocations?)

From Jose Mirco's collection of Hitachi drives:
  0x01000F000000 65551
  0x010007000000 65543
  0x07002E000000 458798
  0x050011000000 327697
  0xB4001D000000 1900724

This would tie up with my old IBM/Hitachi in my comment linked above. The fact is that minus specs from manufacturers this raw value can obviously not be relied upon, and to do so is a FAIL!

If I had to hazard a guess for the first of the ones above:
0100 = 0x0001 = 1: probably equals the event count of attribute 196.
0F00 = 0x000F = 15: is the number of bad sectors
i.e. there was one event where the disk found 15 bad sectors
The last one doesn't make so much sense though:
B400 = 0x00B4 = 180
1D00 = 0x001D = 29
i.e. there were 180 events where a total of 29 bad sectors were found?!? So perhaps we can't even rely on consistency within a brand.

Same problem here in a out of the box Dell Inspiron 1545.
Fresh install on Karmic, / and home mounted separatedly.

I'm worried... ¿can my HD fail? thank's

Sergio Cardamas (cardamas) wrote :

Same problem here in a out of the box Dell Inspiron 1520.

/ and /home mounted separatedly.

tereza.am (tereza-am) wrote :

Have the same problem on my HP 530.
Palimpset says I have got 720958 bad sectors! :o My hard disk is barely a year old..
I guess there is nothing to do with the bug? It will still appear every time I boot my computer?
Thanks laods!

tereza.am (tereza-am) wrote :

attached my report

tereza.am (tereza-am) wrote :

attached my report

tereza.am (tereza-am) on 2010-01-07
description: updated
monoi (bschofield) wrote :

Here's my report, for an old Fujitsu drive in an equally aged Dell Inspiron 500m laptop.

Palimpset reports 65537 reallocated sectors, raw value is 0x01000100cf07.

Don't know how many reallocated sectors there really are, but I cannot believe that the real value is coincidentally so close to 2^16.

RZCashman (rzcashman) wrote :

Confirmed. I had this same problem on an IBM X41 Tablet. Please help me figure out how to fix this. Has Palimpsest now prevented me from accessing these sectors? Can I unmark these and undo this damage? Computer all of a sudden seems to be slow. Other software shows no SMART errors.

Telescope_Nerd (srb2242) wrote :

I have this message for one of the two 160GB Hitachi drives on my HP pavilion laptop. It may be relevant that this drive holds my Windows 7 partition and Ubuntu is stored on the other ('healthy') drive. Windows 7 chkdsk reports the drive is clean.

I have the same problem with my 400GB ST3400820AS on my desktop HP Pavillion Slimline s3220n.

Linux henrique-pc 2.6.31-16-server #53-Ubuntu SMP Tue Dec 8 05:08:02 UTC 2009 x86_64 GNU/Linux

emarkay (mrk) wrote :

2 different Fujitsu MHY2160BH drives affected here.

OK so who's going to elevate the priority on this one - over a hundred affected users here... ;)

emarkay (mrk) wrote :

Duplicate bug reported and found this info - no resolution as of now, although I am updating the Karmic Laptop before doing further debugging.

http://forums.fedoraforum.org/archive/index.php/t-220231.html

Wrose51106 (wrose51106) wrote :

Ubuntu 9.10 32bit

Hitachi Travelstar HTS541040G9AT00
5400 RPM
40 GB
ATA/IDE

emarkay (mrk) wrote :

Contrary to statement:
"The upstream fix is in karmic.
Changed in libatasmart (Ubuntu):
status: New → Fix Released "
In marked duplicate bug, this issue is still affecting Karmic as of today's updates on a new install.
https://bugs.launchpad.net/ubuntu/+source/libatasmart/+bug/413673

Marco Diaz (zethabyte) wrote :

In my case:

Palimpsest : Count of remapped sectors 655420
                    Count of pending sectors 2

Smartctl: Reallocated_Sector_Ct 655420
               Current_Pending_Sector 2

With the tool of BIOS for check hard disk, show errors in the disk .

it seems that my hard disk if it is damaged , but in ubuntu 8.10 I don't has warnings.

Karmic, 64bit.
Harddisk: ATA Hitachi HTS541616J9SA00
Another magic number for: Count of remapped sectors: 131089 (that is 2^17 + 2^4 + 2^0)

Vitality (the-shade) wrote :

bad sectors attachment. after upgrade

Same problem here on my HP Elitebook 8530W. This with a Hitachi HTS723225L9A360 built-in. The program states that there are 65543 bad sectors. That's of course not true. I've tested it with the HP Disk Check(in the Bios) and with the smartmontools.

Jeroenix (drn-live) wrote :

Today, same thing happened here on Ubuntu 9.10 with a ATA Hitachi HTS54325L9A300 inside a HP 6730B laptop:
'Many bad sectors, Reallocated Sector Count: normalized=100, worst=100, threshold=5, value=65537 sectors'

System ran fine for months - since Karmic came out.
Occured during a copy job (about 6GB was copying out of a VirtualBox VM into a USB disk).

dt (dt) wrote :

Wow. After discovering this thread http://forum.ubuntuusers.de/topic/festplatte-fehlerhafte-sektoren and finding this bug-report, i believe i'm not the only one with a "failing" hdd.

However: 65537 sectors in my case: Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 65537
hdd: Hitachi HTS722080K9SA00 - Hitachi Travelstar 7K200

gsmartcontrol gives me the same error (see the attachment).

I would reeeeally appreciate if there's soon found an answer or a solution for this nasty thing. the next step for me is to use some other software to check my hdd. for those of you who have the same hdd, check the hitachi hp: http://www.hitachigst.com/hdd/support/download.htm

if you need more informations: i'd be glad to help!!!

dt (dt) wrote :

i forgot the basic info: ubuntu karmic 9.10 2.6.31-19-generic

Bartłomiej (beton) wrote :

I also have encountered the problem during copying file on my 500GB hdd that I bought two weeks ago.
Many bad sectors, Reallocated Sector Count: normalized=99, worst=99, threshold=36, value=72 sectors'

I think that users should be able to turn off this notification, until the values significantly increase, so we won't be annoyed by minor things that just happen.

Jens Janssen (jayjay) wrote :

This is not a "minor thing", depending on harddrive and environment! If you don't like warning messages turn disk notification off. This tiny feature saved my data two times. Every time starting with a low reallocated sector count. Two days later I had to remove the harddrives, that were almost unusable.

Bartłomiej (beton) wrote :

I would like to recieve warnings, when something wrong is going on with my hdd, but it isn't good when we recieve errors, that other software doesn't diagnose. Of course we could say that other software isn't as cautious as palimpsest is.

On the other hand, if palimpsest shows an error, other software doesn't and my hdd works without any problems for another 12 months, then we will learn not to trust this utility.

Maybe we should have this errors and warnings redesigned to show that some bad things happened, they don't mean that hdd is going to explode in 5 seconds, but we should be cautious, look for weird behaviour and stuff, so we won't think that Palimsest is shouting "wolf" too many times.

Oded Arbel (oded-geek) wrote :

The problem with palimpsest isn't that there are warnings, or that there aren't warnings (if we will make it less warning happy). I personally would like to get a notification when my first reallocated sector happens - and then I want to be able to ignore this until another failure happens.

The problem is that with current palimpsest you can disable warnings completely and manually check every once in a while if you got any new reallocated sectors, or live with a constant warning sign on your desktop that you have to manually check every once in a while to see if you got any new reallocated sectors. So there isn't any difference and we might as well drop palimpsest completely.

What I want is that when palimpsest shows a warning, I will have the option of "Don't bother me until there are more errors". Its that simple.

To get a definitive answer to whether the drive is actually remapping defects due
to bad blocks you have to examine the "defect lists". It's easy to do on SCSI, I
expected libata to swizzle the cmd into ATA'ez but it apparently fails on my dell.

sg_reassign --grow /dev/sda

I don't know how to do it in ATA off the top of my head but I could find out. It's likely
accessible only through some SMART log page.

I agree with the assertion mentioned here:
http://thread.gmane.org/gmane.linux.utilities.smartmontools/5252

The reason being the drive firmware will remap to another block on write should
there be an error. Smart may be trying to be "too smart" by observing the block
re-allocation and coming to the conclusion that this is possible iif a write
error occured.

Here's a decent defintion of how defect tracking works:
http://www.dataclinic.co.uk/hard-drive-defects-table.htm

baudouin (btamines) wrote :

Bought a brand new WDC WD20EADS-00S2B0 2Tb and as soon as it was installed palimpsest told me it had about 1200 bad blocks. Verifications made by other means shos nothing.
Every time I boot a message pops up.

But you can tell the program to ignore it and not give advice.

So what is the use?

gnuckx (gnuckx) wrote :

I confirm the same problem "palimpsest bad sectors false positive " on Karmic and Lucid Alfa 3. Palimpsest ID errors number 5 and 197 reported on my HD Samsung 1 Terabyte model HD103UJ. Meanwhile, no error is reported on my second HD Hitachi 500 GB model HDT725050VLA360.

Kees Cook (kees) on 2010-03-03
tags: added: regression-potential
Changed in libatasmart (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-1
Dhruva Sagar (dhruva-sagar) wrote :

I am also facing the issue. I had an old SATA hard disk and once I upgraded to Karmic it started giving me hard disk failure errors. I tried to ignore them for a while, but slowly things deteriorated and soon half of my hard disk was rendered useless, even if I tried to format that partition Ubuntu would crash and drives would become read-only and I couldn't save / edit anything on the hard disk.
At times when rebooting it would say that no bootable media was found and that it was unable to mount the hard disk. I would restart go to GRUB and select another image to boot from and it would boot fine.

In anyways considering the kind of those errors I assumed that something is indeed wrong with the hard disk. I went ahead and purchased a brand new hard disk. (Toshiba), and installed karmic from scratch and installed all my softwares and utilities that I needed for my development setup all over again, took me almost a week. But good thing was that the errors disappeared!

One month into that, and the errors have now reappeared. Ubuntu shows me again that there are bad sectors and slowly but steadily they are increasing! Ubuntu would hang suddenly at times and I would have to reboot, go to the recovery console, it would be unable to mount my hard disk and I would have to do a FSCK to repair some inodes and when I then reboot and come back, I am able to boot normally but only to see that the number of bad sector count has increased.

I have a terrible feeling that Ubuntu is somehow corrupting my hard disk, I have no reason to believe that my 1 month old brand new hard disk could have any problems whatsoever.

This is really pathetic! I have been an Ubuntu fan for over 4 years now and have never looked back to windows. But this whole incident has left me haunted. I can't afford to buy new hard disks every couple of months. This is just not acceptable! Someone please do something. I beg you!

Oded Arbel (oded-geek) wrote :

Dhruva: the problem you are reporting sounds like you do have a problem with the drive and libatasmart is reporting the issue correctly - so this is not the issue that is reported in this bug.

Regarding your actual problem, as you had escalating problems with an old drive and now have an escalating problem with a new drive, I would guess that your problem is not the drive but something else. I don't think the problem is that Ubuntu is corrupting the drive as it doesn't seem likely that it has that capability and there is no one else with a similar experience. I would think that you have another hardware problem that causes disks to fail - either insufficient cooling or vibration problems are the most likely issues. I suggest you contact someone with appropriate knowledge to help you resolve this problem.

I also see the same behaviour on a dual-boot (ubuntu 9.10 and winXP) hp 8530w laptop with a Hitachi drive. It suddenly appeared after defragging a shared ntfs data partition. My reallocation sector count is 65538, and the rest seems unremarkable to me (only reallocation event count is 1).
I attached screenshots of 3 different SMART tools i ran under windows (HDD health, CrystalDiskInfo, and the windows version of smartctl) to check the palimpsest output.
All programs agree about the current/normalised value and threshold (indicating nothing is amiss), but the reading of the raw value of the different programs is interesting (indicated in the screenshot). Remarkably, CrystalDiskInfo also cautions me about the Reallocated Sector count...

so far i've come to the conclusion that it's a bug in the way the raw-values of my hitachi drive are translated, but am i right? or is my drive in fact dying, and should i replace it asap?

anything else i can post to help?

Is there any dev on this? 84 people affected, and copious user reports, but not even an assignee? or does the assignment to redhat-bugs mean it's going to be resolved there first?

Dhruva Sagar (dhruva-sagar) wrote :

@Oded Arbel : hmmm now that I am a little less irritable, I seem to agree with your opinion. I have in fact been witnessing some cooling problems lately, although I thought they were pertaining to the CPU only, I didn't know or anticipate that they could be harming my hard disk too, but now I guess I do, I will follow your lead and have it checked out. It is just that I started to experience this only after I upgraded to karmic and while searching I was seeing a lot of such reports that made me feel it is something similar...Thanks.

Mikko Saarinen (mikk0) wrote :

I got a computer from a friend who said it was not working well.

As soon as I booted it with Live CD, I got the error of a disk failing. I did a backup, but some of the files were unreadable, even though S.M.A.R.T says the Read Error Rate is 0 (Raw 0x000000000000)

Reallocated sectors = 335 and Pending = 122.
Obviously the disk is not O.K, because of the read wailures, but shoudn't the read error rate be higher then?

In my case, the palimpsest gives reasonable figures and is working wery fine =)

Martin Pitt (pitti) on 2010-03-16
Changed in libatasmart (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) on 2010-03-17
Changed in libatasmart (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2

The bigger problem of this is (as you already mentioned) that the raw value is misparsed way too often. Random examples from bug reports:

  http://launchpadlibrarian.net/34574037/smartctl.txt
5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 327697

  http://launchpadlibrarian.net/35971054/smartctl_tests.log
5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 65542

  http://launchpadlibrarian.net/36599746/smartctl_tests-deer.log
5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 65552

  https://bugzilla.redhat.com/attachment.cgi?id=382378
5 Reallocated_Sector_Ct 0x0033 100 100 005 Pre-fail Always - 655424

  https://bugzilla.redhat.com/show_bug.cgi?id=506254
reallocated-sector-count 100/100/ 5 FAIL 1900724 sectors Prefail
Online

It seems that "no officially accepted spec about SMART attribute decoding" also hits here in the sense of that way too many drives get the raw counts wrong. In all the 30 or so logs that I looked at in the various Launchpad/RedHat/fd.o bug reports related to this I didn't see an implausible value of the normalized values, though.

I appreciate the effort of doing vendor independent bad blocks checking, but a lot of people get tons of false alarms due to that, and thus won't believe it any more if there is really a disk failing some day.

My feeling is that a more cautious approach would be to use the normalized value vs. treshold for the time being, and use the raw values if/when that can be made more reliable (then we should use something in between logarithmic and linear, though, since due to sheer probabilities, large disks will have more bad sectors and also more reserve sectors than small ones).

Created an attachment (id=34234)
smart blob with slightly broken sectors

BTW, I use this smart blob for playing around and testing, which is a particularly interesting one: It has a few bad sectors (correctly parsed), but not enough yet to be below the vendor specified threshold.

  5 reallocated-sector-count 77 1 63 1783 sectors 0xf70600000000 prefail online yes no
197 current-pending-sector 83 6 0 1727 sectors 0xbf0600000000 old-age offline n/a n/a

So this can be loaded into skdump or udisks for testing the desktop integration all the way through:

$ sudo udisks --ata-smart-refresh /dev/sda --ata-smart-simulate /tmp/smart.blob

Created an attachment (id=34242)
Drop our own "many bad sectors" heuristic

This patch just uses the standard "compare normalized value against treshold". I know that it's not necessarily how you really want it to work, but it's a pragmatic solution to avoid all those false positives, which don't help people either.

So of course feel free to entirely ignore it, but at least I want to post it here for full disclosure. (I'll apply it to Debian/Ubuntu, we have to get a release out).

This patch is against the one in bug 26834.

Oh, forgot: I compared

  for i in blob-examples/*; do echo "-- $i"; ./skdump --load=$i; done > /tmp/atasmart-test.out

before and after, and get two differences like

-^[[1mOverall Status: BAD_SECTOR_MANY^[[0m
+^[[1mOverall Status: BAD_SECTOR^[[0m

The first one is against blob-examples/Maxtor_96147H8--BAC51KJ0:
 5 reallocated-sector-count 226 226 63 69 sectors 0x450000000000 prefail online yes yes

and the second one against blob-examples/WDC_WD5000AAKS--00TMA0-12.01C01

  5 reallocated-sector-count 192 192 140 63 sectors 0x3f0000000000 prefail online yes yes

so under the premise of changing the evaluation to use the normalized numbers those are correct and expected changes.

Martin Pitt (pitti) on 2010-03-19
Changed in libatasmart (Ubuntu Lucid):
status: Triaged → In Progress
Changed in libatasmart:
status: Unknown → Confirmed
Martin Pitt (pitti) wrote :

I sent a patch to the upstream freedesktop.org bug, and uploaded a new libatasmart package to lucid. It's currently stuck in UNAPPROVED and will land after the beta-1 release.

Changed in libatasmart (Ubuntu Lucid):
status: In Progress → Fix Committed
Jean-Louis (jean-louis) wrote :

I'm very happy for this decision.

Before to investigate through this problem, I've bought a new hdd for security reason (backup all data), but for now, after 3 months, the numbers of reallocated sectors is stable and haven't increased.

This patch could will save unneeded e-waste

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libatasmart - 0.17+git20100219-1git2

---------------
libatasmart (0.17+git20100219-1git2) lucid; urgency=low

  Upload current Debian packaging git head.

  * debian/local/apport-hook.py: Update for udisks.
  * Add 0001-Speed-up-get_overall-and-get_bad.patch: Speed up get_overall()
    and get_bad(). (fd.o #26834)
  * Add 0002-Drop-our-own-many-bad-sectors-heuristic.patch: Drop our own "many
    bad sectors" heuristic.This currently causes a lot of false positives,
    because in many cases our treshold is either overly pessimistically low,
    or the raw value is implausibly high. Just use the normalized values vs.
    treshold for now. (LP: #438136, fd.o #25772)
 -- Martin Pitt <email address hidden> Fri, 19 Mar 2010 22:21:47 +0100

Changed in libatasmart (Ubuntu Lucid):
status: Fix Committed → Fix Released
Richard Gunn (ubuntu-deckard) wrote :

I definitely have a false positive with my main drive (Hitachi), but something else just occurred to me - when I tried install Karmic from the live CD, it refused to recognize my Hitachi drive as a viable target for installation. In the end, I was forced to upgrade from Intrepid to Jaunty to Karmic using the dist upgrade option in synaptic.

I only discovered the false positive issue with palimpsest AFTER I had upgraded to Karmic through synaptic, so in retrospect, I wander if some sort of integrity check is done on the drive before the Karmic CD installer lists it prior to partitioning, and whether this false positive issue actually prevented me from installing Karmic from the live CD onto my Hitachi hard drive.

If that is true, perhaps an additional issue should be added to the list for the Karmic live CD?

Jerone Young (jerone) wrote :

@Martin Pitt

       Can this fix to the heuristics be backported to 9.10 Karmic via SRU?

Benjamin Drung (bdrung) wrote :

I unsubscribed ubuntu-sponsors, because there is no debdiff to sponsor.

primefalcon (primefalcon) wrote :

Just adding that I am getting this as well on my asus 900ha

Changed in libatasmart (Ubuntu Karmic):
assignee: nobody → Canonical Platform QA Team (canonical-platform-qa)
Joe Claunch (catalina22) wrote :

I encountered this problem under Karmic on my 6 month old Dell Mini-9 with a 4 GB SSD. I zeroed the SSD with the "dd" command and installed Lucid Beta 2. Within 30 seconds of the post install restart I was getting the same error message. I loaded and installed all available patches with software update utility but the problem persisited. I then repeated the zero, install, and patch operation again with the same results. At this point I went back to 9.04 and my Dell Mini-9 is again working perfectly. The specific error message I am encountering is as follows:

3.8 GB Hard Disk - ATA STEC ATA DISK vS020.1.0
DISK IS BEING USED OUTSIDE DESIGN PARAMETERS

Changed in libatasmart (Ubuntu Karmic):
milestone: none → karmic-updates
Martin Pitt (pitti) on 2010-04-22
Changed in libatasmart (Ubuntu Karmic):
status: Triaged → In Progress
assignee: Canonical Platform QA Team (canonical-platform-qa) → Martin Pitt (pitti)
Martin Pitt (pitti) on 2010-04-23
description: updated
Martin Pitt (pitti) on 2010-04-23
description: updated
description: updated
Martin Pitt (pitti) wrote :

Ugh, the karmic code is quite a bit different, so I basically needed to implement the same logic for a rather different code base. It's working now, though (see attached debdiff). The SRU test case (see description) is working now, and I also run the old and new version against all the blob examples which are in the source code:

  for i in blob-examples/*; do echo "-- $i"; ./skdump --load=$i; done

The diff between the old and new version is

--- atasmart-test.old 2010-04-23 15:20:42.636609956 +0200
+++ atasmart-test.new 2010-04-23 16:06:49.966609923 +0200
@@ -214,7 +214,7 @@
 Average Powered On Per Power Cycle: 1.1 h
 Temperature: No such file or directory
 Attribute Parsing Verification: Good
-Overall Status: BAD_SECTOR_MANY
+Overall Status: BAD_SECTOR
 ID# Name Value Worst Thres Pretty Raw Type Updates Good Good/Past
   1 raw-read-error-rate 253 252 0 343062 0x163c05000000 old-age online n/a n/a
   3 spin-up-time 196 191 63 62 ms 0x3e000000fa37 prefail online yes yes
@@ -620,7 +620,7 @@
 Average Powered On Per Power Cycle: 11.2 days
 Temperature: 40.0 C
 Attribute Parsing Verification: Good
-Overall Status: BAD_SECTOR_MANY
+Overall Status: BAD_SECTOR
 ID# Name Value Worst Thres Pretty Raw Type Updates Good Good/Past
   1 raw-read-error-rate 200 200 51 18 0x120000000000 prefail online yes yes
   3 spin-up-time 208 164 21 4.6 s 0xd61100000000 prefail online yes yes

The first one is against blob-examples/Maxtor_96147H8--BAC51KJ0:
 5 reallocated-sector-count 226 226 63 69 sectors 0x450000000000
prefail online yes yes

and the second one against blob-examples/WDC_WD5000AAKS--00TMA0-12.01C01

  5 reallocated-sector-count 192 192 140 63 sectors 0x3f0000000000
prefail online yes yes

so under the premise of changing the evaluation to use the normalized numbers those are correct and expected changes. (I. e. in those two cases you would have gotten a "many bad blocks" warning before).

Martin Pitt (pitti) wrote :

Uploaded to karmic-proposed queue (needs another SRU team member to review now) and to my PPA at https://launchpad.net/~pitti/+archive/sru-test (sudo add-apt-repository ppa:pitti/sru-test).

Changed in libatasmart (Ubuntu Karmic):
status: In Progress → Fix Committed
Jerone Young (jerone) on 2010-04-26
Changed in oem-priority:
status: New → In Progress
Vitaliy Kulikov (slonua) wrote :

confirm as fixed in Lucid =).

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jerone Young (jerone) on 2010-05-18
Changed in oem-priority:
status: In Progress → Fix Released
adMcb (amar4mx) wrote :

Ok. We all know that the bug is affecting us, but what is the solution for this? I already repaired my disk with HDD Regenerator, and only 10 sectors showed me that same bad completely repaired, and Ubuntu 4.10 Netbook keeps telling me I have 29 000 for bad blocks and that the drive failure is imminent, if it is a bug we need patch, where do we get?. Or to do in this case? THANKS

adMcb [2010-06-08 15:07 -0000]:
> Ok. We all know that the bug is affecting us, but what is the solution
> for this?

It got fixed in 10.04, and for 9.10 (karmic) the fix is in
karmic-proposed, waiting to be tested. Please see the updated
description for how to test it.

> I already repaired my disk with HDD Regenerator, and only 10
> sectors showed me that same bad completely repaired, and Ubuntu 4.10
> Netbook keeps telling me I have 29 000 for bad blocks

The patch only changes the threshold at which it starts notifying you
(which was very low and incorrect previously). 29.000 bad blocks
does sound like something you should start being concerned about,
though. Apparently your HDD still has enough spare blocks to cope, but
you should watch out whether this number increases over time. If it
rapidly does, consider getting a new HDD before you get serious data
loss.

Graham Inggs (ginggs) wrote :

> 29.000 bad blocks does sound like something you should start being concerned about, though.

The problem is that 29000 is the RAW value of the re-allocated sector count, not the actual count of bad sectors.

I have a failing Seagate drive that I have been monitoring for several weeks and I have established that on this particular drive, the lower four bits of the RAW value are not part of the count. Palimpsest tells me this drive has 893 bad sectors, but I calculate that it only has 55. Seagate will only replace the drive when it has around 160 bad sectors.

Martin Pitt (pitti) wrote :

Graham Inggs [2010-06-09 8:50 -0000]:
> The problem is that 29000 is the RAW value of the re-allocated sector
> count, not the actual count of bad sectors.

Right. But the notification about "Your disk is about to die" now
checks the normalized value/threshold, which is under control by the
driver manufacturer. Do you still get those notifications with the
current lucid or karmic-proposed packages?

Graham Inggs (ginggs) wrote :

> Do you still get those notifications with the current lucid or karmic-proposed packages?

I no longer get the notifications, but the SMART data palimpsest still warns that I have "893 bad sectors", which is incorrect.

Martin Pitt (pitti) wrote :

Graham Inggs [2010-06-11 9:11 -0000]:
> I no longer get the notifications, but the SMART data palimpsest still
> warns that I have "893 bad sectors", which is incorrect.

Right, the updated package wasn't supposed to actually reinterpret the
raw values. Thanks for testing!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libatasmart - 0.16-1ubuntu0.1

---------------
libatasmart (0.16-1ubuntu0.1) karmic-proposed; urgency=low

  * debian/rules: Enable simple-patchsys.
  * Add 01_use_manufacturer_bad_blocks.patch: Drop our own "many bad sectors"
    heuristic. This currently causes a lot of false positives, because in many
    cases our treshold is either overly pessimistically low, or the raw value
    is implausibly high. Just use the normalized values vs. treshold for now.
    (LP: #438136)
 -- Martin Pitt <email address hidden> Fri, 23 Apr 2010 15:05:48 +0200

Changed in libatasmart (Ubuntu Karmic):
status: Fix Committed → Fix Released

(In reply to comment #1)

> The reason I picked log2() here is simply that we do want to allow more bad
> sectors on bigger drives than on small ones. But a linearly related threshold
> seemed to increase too quickly, so the next choice was logarithmic.
>
> Do you have any empiric example where the current thresholds do not work as
> they should?

According to http://www.seagate.com/ww/v/index.jsp?locale=en-US&name=SeaTools_Error_Codes_-_Seagate_Technology&vgnextoid=d173781e73d5d010VgnVCM100000dd04090aRCRD (which I first read about 18 months ago, when 1.5TB drives were brand new), "Current disk drives contain *thousands* [my emphasis] of spare sectors which are automatically reallocated if the drive senses difficulty reading or writing". Therefore, it is my belief that your heuristic is off by somewhere between one and two orders of magnitude as your heuristic only allows for 30 bad sectors on a 1TB drive (Seagate's article would imply it has at least 2000 spare sectors - and maybe more - of which 30 are only 1.5%).

As you say, though, this is highly manufacturer- and model-dependent; Seagate's drives might be designed with very many more spare sectors than other manufacturers' drives. The only sure-fire way to interpret the SMART attributes is to compare the cooked value with the vendor-set threshold for that attribute.

If you are insistent upon doing something with the raw reallocated sector count attribute, I believe it would be far more useful to alert when it changes, or changes by a large number of sectors in a short period of time.

Robert (robertkanabis) on 2010-09-07
Changed in oem-priority:
status: Fix Released → Incomplete
assignee: nobody → Robert (robertkanabis)
status: Incomplete → Confirmed
Changed in oem-priority:
status: Confirmed → Fix Released
Changed in libatasmart:
importance: Unknown → Medium
Sam_ (and-sam) wrote :
Sam_ (and-sam) wrote :

Affects new hardware and Maverick installation.
Thanks to comment #130 I did also advanced check with Hitachi DFT, result:
Operation completed successfully
Disposition Code: 0x00

Sam_ (and-sam) wrote :
Sam_ (and-sam) wrote :

After successful scan with Hitachi DFT palimpsest now shows 15 moved sectors instead of 1 before.

Sam_ (and-sam) wrote :

Did another scan with CD from vendor, it also shows SMART status ok. Palimpsest says at the moment 25 reallocated sectors.

Changed in libatasmart:
importance: Medium → Unknown
Changed in libatasmart:
importance: Unknown → Medium

So, I wanna give this one more try. I kept the log2() in there, but multiplied it now with 1024 which should be a safe margin.

If this brings bad results we can drop this entirely. In that case, please reopen.

Changed in libatasmart:
status: Confirmed → Fix Released
Sam_ (and-sam) wrote :

#165
> Right, the updated package wasn't supposed to actually reinterpret the
raw values.

Is it supposed to reinterpret on fresh installations?
After fresh Oneiric and Precise installations during the year palimpsest still counted up allocated sectors, since #172 increase to 53. Tresholds in UI didn't change.

Just want to reiterate what a bad idea it is to:

a) make your own seat of the pants algorithm to determine how many bad sectors is "too many" based on no significant data.

b) do so when you can't even read the raw number correctly (due to varying format of raw values).

My wife's 120G laptop drive has 10 bad sectors, but palimpsest still reads this as 655424. (The 0x0a is the low order byte in intel byte order see https://bugzilla.redhat.com/show_bug.cgi?id=498115#c61 for details, still fails in Fedora 16, gnome-disk-utility-3.0.2.) The 1024 factor *still* sees the disk as failing - it does not address the underlying problem of not having a reliable raw value, and not knowing the design parameters or even the type of technology.

Please, please, just use the vendor numbers. The only thing you could add would be to keep a history, and warn of *changes* in the value (but don't say "OH MY GOD YOUR DISK IS ABOUT TO DIE!" unless the scaled value passes the vendor threshold).

Changed in libatasmart:
status: Fix Released → Confirmed
Sam_ (and-sam) on 2012-02-15
tags: added: oneiric precise

Running dual-boot Windows 7 / Ubuntu 11.10 Oneiric on Dell M90. Windows CHKDSK reports no problems with my hard drive. Ubuntu S.M.A.R.T. reports a staggering 7 million+ bad sectors with green light status: "Disk has a few bad sectors". My system runs just fine, which is why I'm adding my 2 cents.

I am seeing similar issues with my SSD, lots of errors, but system seems to
run fine.
On my previous drive however, it started to run slowly, due to recovering
errors, and finally reported an error, so something funny is going on.
Regards
Wilbur Harvey

[image: Inline image 1]

On Fri, Mar 2, 2012 at 9:06 AM, John Wilson <email address hidden>wrote:

> Running dual-boot Windows 7 / Ubuntu 11.10 Oneiric on Dell M90. Windows
> CHKDSK reports no problems with my hard drive. Ubuntu S.M.A.R.T. reports
> a staggering 7 million+ bad sectors with green light status: "Disk has a
> few bad sectors". My system runs just fine, which is why I'm adding my 2
> cents.
>
> ** Attachment added: "Screenshot at 2012-03-02 17:51:33.png"
>
> https://bugs.launchpad.net/ubuntu/+source/libatasmart/+bug/438136/+attachment/2801866/+files/Screenshot%20at%202012-03-02%2017%3A51%3A33.png
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (413673).
> https://bugs.launchpad.net/bugs/438136
>
> Title:
> palimpsest bad sectors false positive
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libatasmart/+bug/438136/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.